import { jsx } from "react/jsx-runtime";
import { Lifebuoy as Lifebuoy$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Lifebuoy = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Lifebuoy", ...props, children: /* @__PURE__ */ jsx(Lifebuoy$1, { weight: variant }) });
  }
);
Lifebuoy.displayName = "Lifebuoy";
Object.assign(Lifebuoy, { isGdsIcon: true });
export {
  Lifebuoy
};
